#main {
  padding-top: 2em;
}

#features {
  position: sticky;
  border-bottom: 1px solid;
  top: -5px;
  z-index: 10;
}

#features header {
  padding: 5em 0 5em;
}

#features footer {
  padding: 5em 0 35em;
}

#features .button {
  padding: 1.5em 5em;
  font-size: 1.5em;
  font-weight: bold;
}

@media screen and (max-height: 980px) {
  #features {
    position: inherit;
    top: 0;
  }
}

#features ul.actions {
  margin-bottom: 10px;
}

#header, #features {
  background: #f0f0f0;
}

#header h1 {
  letter-spacing: 4px;
}

@media screen and (max-width: 736px) {
  #header h1 {
    letter-spacing: 2px;
  }
}

h2 {
  text-align: center;
  line-height: 24px;
  margin: 0 0 12px 0;
  height: 32px;
}

.note {
  line-height: 24px;
  height: 96px;
  overflow-y: auto;
}

.note p {
  margin-bottom: 0;
}

.alert {
  font-weight: bold;
  color: rgb(0, 174, 239);
}

.why-invalid, .invalid {
  color: #BE1E2D;
  font-weight: bold;
}

.invalid {
  background: #FFD53A;
}

.module-box {
  background-color: #A5C8D0;
  color: #002A41AA;

  margin: 8px 0;
  height: 36px;
  display: table;
  width: 100%;
  display: flex;
  align-items: center;
}

.module-box.chosen, .module-box.cantdo {
  color: #002A41;
}

.module-box.required {
  background-color: #DACDA2;
}

.module-box.unavailable {
  display: none;
}

.module-box.cantdo {
  opacity: 50%;
}

.module-box.double {
  height: calc((36px * 2) + 8px);
}

.module-box.epip .module-code, .module-box.epip .module-name,
.module-box.mich .module-code, .module-box.mich .module-name {
  width: 100%;
}

.module-box.mich {
  width: 80%;
  padding-right: 16px;
  padding-left: 1.5%;
  position: relative;
}

.module-box.mich::after {
    content: "";
    position: absolute;
    top: 36px;
    right: 0;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 0 36px 18px 0;
    border-color: transparent #fff transparent transparent;
    transform-origin: 100% 0;
    transform: rotate(90deg);
  }

.module-box.epip {
  margin-left: 20%;
  padding-left: 18px;
  padding-right: 2%;
  width: 80%;
  position: relative;
}

.module-box.epip::before {
    content: "";
    position: absolute;
    top: 0;
    left: -36px;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 0 36px 18px 0;
    border-color: transparent #fff transparent transparent;
    transform-origin: 100% 0;
    transform: rotate(270deg);
  }

.module-box.triple {
  height: calc((36px * 3) + (8px * 2));
}

.module-box.glowing {
  outline: 5px solid #FFD53ADD;
  opacity: 80%;
}

@keyframes pulse {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(1.04);
  }
}

.pulsating {
  opacity: 100% !important;
  animation: pulse 0.75s ease-in-out 0.3s infinite alternate;
}

.module-box input[type="checkbox"] {
  display: table-cell;
  transform: scale(2);
  width: 13%;
}

input[type="checkbox"]:checked {
  background-color: #68246D;
  border-color: #68246D;
}

.module-text {
  display: table-cell;
  text-align: center;
  width: 87%;
  overflow: hidden;
  white-space: nowrap;
}

.module-code, .module-name {
  display: block;
  width: 87%;
  line-height: 18px;
  height: 24px;
  position: relative;
  margin-bottom: -6px;
  overflow-x: hidden;
  overflow-y: visible;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.module-link {
  margin-left: 0.5em;
  margin-right: -0.5em;
}

.legend-box {
  margin-top: 24px;
  margin-bottom: 24px;
  width: 100%;
  border: 1px solid;
  padding: 15px 24px 0;
}

.legend-row {
  display: flex;
  width: 100%;
  align-items: center;
}

.legend-text {
  border-top: 1px solid;
  padding: 1em 0;
}

.legend-text p {
  margin-bottom: 0;
}

.legend-row .module-box {
  width: 35%;
  margin-right: 5%;
  display: block;
  align-items: center;
  font-weight: bold;
  text-align: center;
  line-height: 24px;
  max-height: 24px;
  padding: 0 5px;
}

.legend-row .legend-entry {
  width: 70%;
  display: block;
}

.legend-row .half {
  width: 15%;
}

.legend-row .epip {
  margin-left: 0;
  width: 17.5%;
}
.legend-row .mich {
  margin-right: 0;
  width: 17.5%;
}

.legend-row .requisite {
  width: 15%;
  text-align: left;
  box-shadow: rgb(104, 36, 109) -12px 0px 0px 0px inset;
}

.legend-row .requirer {
  width: 15%;
  box-shadow: rgb(104, 36, 109) 12px 0px 0px 0px inset;
  text-align: right;
}
